using Back.Program.Models.Entities;

namespace Back.Program.Repositories.V1.Interfaces;

public interface IClassRepository
{
    // 클래스 정보
    // Task<Class_Info> GetClassInfo(string cid);
    // //학생이 클래스에 참여했는지 여부
    // Task<List<string>> GetIncludeStudents(string cid);
    // // 학생이 클래스에서 했던 모든 출석
    // Task<List<(DateTime date, int state)>> GetAttendanceOfClass(string cid, string uid);
    // // 학생이 특정 날짜에 했던 출석
    // Task<List<(string cid, int state)>> GetAttendanceByDate(string uid, DateTime date);
    
    Task<Class_Info?> FindClassInfo(string cid);
    Task<Class_Attendance?> FindClassAttendance(string cid, string uid);
    Task<Class_Map?> FindClassMap(string cid);
}